## Initialization and Shutdown

Initialization and Shutdown

## Synopsis

    #include <libxfce4menu/libxfce4menu.h>

    void                xfce_menu_init                      (const gchar *env);
    void                xfce_menu_shutdown                  (void);

## Description

## Details

### xfce_menu_init ()

    void                xfce_menu_init                      (const gchar *env);

Initializes the libxfce4menu library and optionally defines the desktop environment for which menus will be generated. This means items belonging only to other desktop environments will be ignored.

`env` : | Name of the desktop environment (e.g. XFCE, GNOME, KDE) or `NULL`.

### xfce_menu_shutdown ()

    void                xfce_menu_shutdown                  (void);

Shuts down the libxfce4menu library.